diff -purN u-boot/CHANGELOG u-boot-cfi_flash/CHANGELOG
--- u-boot/CHANGELOG	2005-08-18 16:56:44.000000000 +0900
+++ u-boot-cfi_flash/CHANGELOG	2005-08-19 12:57:46.872382389 +0900
@@ -2,6 +2,9 @@
 Changes for U-Boot 1.1.4:
 ======================================================================
 
+* Add CFG_FLASH_PROTECT_CLEAR on drivers/cfi_flash.c
+  Patch by Sangmoon Kim, 19 Aug 2005
+
 * Add support for IFM o2dnt board
 
 * Enable PCI on hmi1001 board
diff -purN u-boot/drivers/cfi_flash.c u-boot-cfi_flash/drivers/cfi_flash.c
--- u-boot/drivers/cfi_flash.c	2005-08-18 16:57:25.000000000 +0900
+++ u-boot-cfi_flash/drivers/cfi_flash.c	2005-08-19 12:56:07.833426119 +0900
@@ -336,6 +336,14 @@ unsigned long flash_init (void)
 			printf ("## Unknown FLASH on Bank %d - Size = 0x%08lx = %ld MB\n",
 				i, flash_info[i].size, flash_info[i].size << 20);
 		}
+#ifdef CFG_FLASH_PROTECT_CLEAR
+		else {
+			flash_protect (FLAG_PROTECT_CLEAR,
+				flash_info[i].start[0],
+				flash_info[i].start[0] + flash_info[i].size - 1,
+				&flash_info[i]);
+		}
+#endif
 	}
 
 	/* Monitor protection ON by default */

Signed-off-by: Sangmoon Kim <dogoil@etinsys.com>

